﻿    <!-- Modal -->
<div id="modalImportar" class="modal animated pulse" role="dialog">
    <div class="modal-dialog modal-lg">
        <!-- Modal content-->

        <div class="modal-content">
            <div class="tgv-cabecalho-container" style="height:55px">
                <div class="col-lg-6">
                    <div class="col-md-8 titulo-tela nopadding" style="padding:5px" id="divTitImportarNegociacao">
                        <strong class="strong-cabecalho-tgv" style="font-size: 14pt">Importar Indicação</strong>
                    </div>
                </div>
            </div>
            <div class="tgv-crud-container tgv-mat-closer">
                <div class="modal-body" style="padding:0px">

                    <div class="tgv-crud-container tgv-mat-closer">
                        <div class="row" style="margin:0px;">
                            <span class="text-muted">1 - Com o modelo de importação preenchido, clique abaixo para inserir as negociações:</span>
                        </div>


                        <!-- btnGerarTemplateXlsx invisível -->
                        <div class="col-md-2" style="margin-top: 18px; margin-right:18px; display:none;">
                            <button id="btnGerarTemplateXls" type="button" class="btn btn-secondary">
                                <i class="fa fa-floppy-o">&nbsp;</i>
                            </button>
                        </div>
                        <!-- btnGerarTemplateXlsx invisível -->

                        <div class="row paddingbottom col-12" style="padding-right:0px">
                            <div class="col-md-5">
                                <div id="dv-upload" class="tgv-upload-container clsFileUpload" style="margin-top: 13px; border-radius: 8px;">

                                    <div class="tgv-image-view">
                                        <img id="img-view" src="" />
                                    </div>

                                    <div class="up-icon mdl-js-ripple-effect">
                                        <i class="material-icons" style="border-radius: 5px;">file_upload</i>
                                        <span class="mdl-ripple"></span>
                                    </div>
                                    <span class="file-info limparTooltipChange">
                                        Carregar Excel |&nbsp;<b>xlsx</b>&nbsp;
                                    </span>
                                    <div class="rem-icon mdl-js-ripple-effect">
                                        <i class="material-icons" style="border-radius: 5px;">close</i>
                                        <span class="mdl-ripple"></span>
                                    </div>

                                    <input type="file" id="FileUpload" class="btn btn-success limparTooltipChange" style="visibility:visible;" name="FileUpload" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" />
                                </div>
                            </div>


                            <div class="col-5" style="margin-right: 55px;"></div>

                            <button onclick="downloadClick()"
                                    style="border-radius:8px"
                                    id="btnGerarTemplateXlsToolTip"
                                    type="button"
                                    class="btn dv-download"
                                    data-toggle="tooltip"
                                    data-placement="top"
                                    @*title="Clique para baixar o modelo de importação"*@>
                                <i class="fa fa-file-excel-o fa-2x fa-inverse"></i>
                            </button>


                        </div>
                        <fieldset id="selectSheetFieldset" style="display:none">
                            <label for="selectSheet">Select a sheet</label>
                            <select class="form-control" id="selectSheet" style="overflow-y:auto"></select>
                        </fieldset>
                    </div>
                </div>

                <div class="tgv-crud-container tgv-mat-closer">
                    <span class="text-muted">2 - Escolha a area desejada e direcione as negociações:</span>
                    <div class="selectImportacao col-md-12">
                        <div class="row col-4" style="padding: 13px;">
                            <select class="form-control form-control" id="ddlArea" onchange="preencheGridFuncionarioModal()" style="border-radius: 5px;">
                                <option value="1">Consultor Vendas</option>
                                <option value="2">Monitor Vendas</option>
                                <option value="3">Cobrança</option>
                                <option value="4">Administrativo</option>
                            </select>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <span class="text-muted">Escolha o(s) usuário(s) para distruibuir as negociações:</span>
                            </div>
                        </div>
                        @* Table de consultores *@
                        <div class="row table col-12" style="padding-top:10px;">
                            <table id="tblConsultoresModal" class="table table-bordered" style=" border-bottom:solid 1px lightgrey"></table>
                        </div>
                    </div>
                </div>


                <div class="row tgv-button-toolbar">
                    <span style="margin-right:10px">
                        <button id="btnImportarNegociacao" type="button" class="btn btn-success">
                            <i class="fa fa-floppy-o">&nbsp;</i>
                            Importar
                        </button>
                    </span>
                    <span>
                        <button id="btnFecharModalImportar" type="button" class="btn btn-danger" data-dismiss="modal">
                            <i class="fa fa-close">&nbsp;</i>
                            Fechar
                        </button>
                    </span>
                </div>


            </div>
        </div>
    </div>
</div>